#include <Application.h>
#include <Window.h>
#include <View.h>

/*
Pe commands

gcc fontHang.cpp -lbe -o fontHang
fontHang
*/

class TestView : public BView
{
public:

	TestView(BRect frame, char* name, uint32 flags): BView(frame, name, flags, B_WILL_DRAW)
	{
	}
	virtual ~TestView()
	{
	}
	
	virtual void Draw(BRect updateRect)
	{
		BFont f;
		f.SetSize(-1);
		SetFont(&f);
		DrawString("String", BPoint(16, 16));
	}
};

/*
 * Window
 */

class TestWindow : public BWindow
{
private:
	TestView* view;
	
public:
	TestWindow(BRect frame)
	: BWindow(frame, "Test", B_TITLED_WINDOW, B_NOT_ZOOMABLE | B_NOT_RESIZABLE)
	{
		view = new TestView(BRect(Bounds()), "Test", B_FOLLOW_ALL);
		AddChild(view);
	}
	
	virtual bool QuitRequested()
	{
		be_app->PostMessage(B_QUIT_REQUESTED);
		return BWindow::QuitRequested();
	}
};

/*
 Application
 */

class TestApplication : public BApplication
{
private:
	TestWindow* wnd;

public:
	TestApplication() : BApplication ("application/x-vnd.Be-Test"){}
	virtual void ReadyToRun()
	{
		BRect rect(32, 32, 32+128+8, 32+24+8);
		wnd = new TestWindow(rect);
		wnd->Show();
	}
};

TestApplication* app;

int main()
{
	app = new TestApplication();
	app->Run();
	return 0;
}
